Перейти до вмісту
AstroWay/api v2.96.0 · docs
усі системи в нормі

Personal Year (kabbalistic)

POST
/numerology/kabbalistic/personal-year
request.sh
curl -X POST https://api.astroway.info/v1/numerology/kabbalistic/personal-year \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "name": "John Smith", "date": "1990-05-15", "year": 2026 }'

Calculate the Personal Year number for a given calendar year — 9-year cycle of personal evolution. Numerology — Kabbalistic (phonetic) system.

Media type application/json
object
Example
{
"name": "John Smith",
"date": "1990-05-15",
"year": 2026
}

Successful calculation

Media type application/json
object
ok
boolean
data
object
system
string
nullable
name
string
nullable
date
string
nullable
personalYear
object
raw
number
nullable
reduced
number
nullable
isMaster
boolean
nullable
steps
Array<number>
nullable
meaning
object
archetype
string
nullable
shortRead
string
nullable
Example
{
"ok": true,
"data": {
"system": "pythagorean",
"name": "John Smith",
"date": "1990-05-15",
"personalYear": {
"raw": 30,
"reduced": 3,
"isMaster": false,
"steps": [
30,
3
],
"meaning": {
"archetype": "The Communicator",
"shortRead": "creative communicator..."
}
}
}
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?